package com.fos.modules.frontLog.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.fos.core.base.BaseEntity;

public class FrontLogEntity extends BaseEntity{

	
    @JSONField(name="sysUserId")
	private String sysUserId;   // frontlog表下的sys_user_id
	
	@JSONField(name="url")
	private String url;   // frontlog表下的url
	
	@JSONField(name="method")
	private String method;   // frontlog表下的method
	
	@JSONField(name="moduleName")
	private String moduleName;   // frontlog表下的moduleName
	
	@JSONField(name="platform")
	private String platform;   // frontlog表下的platform
	
	@JSONField(name="appCode")
	private String appCode;   // frontlog表下的appCode
	
	@JSONField(name="deviceid")
	private String deviceid;   // frontlog表下的deviceid
	
	@JSONField(name="deviceToken")
	private String deviceToken;   // frontlog表下的deviceToken
	
	@JSONField(name="versionName")
	private String versionName;   // frontlog表下的versionName
	
	@JSONField(name="language")
	private String language;   // frontlog表下的language

	public String getSysUserId() {
		return sysUserId;
	}

	public void setSysUserId(String sysUserId) {
		this.sysUserId = sysUserId;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getMethod() {
		return method;
	}

	public void setMethod(String method) {
		this.method = method;
	}

	public String getModuleName() {
		return moduleName;
	}

	public void setModuleName(String moduleName) {
		this.moduleName = moduleName;
	}

	public String getPlatform() {
		return platform;
	}

	public void setPlatform(String platform) {
		this.platform = platform;
	}

	public String getAppCode() {
		return appCode;
	}

	public void setAppCode(String appCode) {
		this.appCode = appCode;
	}

	public String getDeviceid() {
		return deviceid;
	}

	public void setDeviceid(String deviceid) {
		this.deviceid = deviceid;
	}

	public String getDeviceToken() {
		return deviceToken;
	}

	public void setDeviceToken(String deviceToken) {
		this.deviceToken = deviceToken;
	}

	public String getVersionName() {
		return versionName;
	}

	public void setVersionName(String versionName) {
		this.versionName = versionName;
	}

	public String getLanguage() {
		return language;
	}

	public void setLanguage(String language) {
		this.language = language;
	}
	
}
